using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Timers;

namespace Bricksoft
{
    public partial class FrmChatSession : Form
    {
        private System.Timers.Timer timerTyping = new System.Timers.Timer();


        public FrmChatSession()
        {
            InitializeComponent();

            timerTyping.Interval = 5000;
            timerTyping.Elapsed += timerTypingElapsed;
            timerTyping.Enabled = true;
        }

        private void timerTypingElapsed(object sender, ElapsedEventArgs e)
        {
            try
            { 
                timerTyping.Enabled = false; 

                lblStatus.Text = "";
            }
            finally
            { timerTyping.Enabled = true; };
            
        }

        private void btnSendMessage_Click(object sender, EventArgs e)
        {
            if (txtMsg.Text != "")
            {
            }
                
        }

        public void buddyEnter(string buddy)
        {
            lbBuddies.Items.Add(buddy);
        }

        public void buddyLeave(string buddy)
        {
            lbBuddies.Items.Remove(buddy);
        }

        public void messageReceived(string message)
        {
            txtChat.Text = message + txtChat.Text;
        }

        public void updateAvatar(string filename)
        {
            pbAvatar.Load(filename);
        }

        public void typingMessageReceived(string buddy)
        {
           lblStatus.Text = buddy;
        }

        private void txtMsg_EnabledChanged(object sender, EventArgs e)
        {

        }

        private void txtMsg_Enter(object sender, EventArgs e)
        {
        }

        private void btnInvite_Click(object sender, EventArgs e)
        {
        }

        private void btnSendFile_Click(object sender, EventArgs e)
        {
        }

        private void FrmChatSession_FormClosed(object sender, FormClosedEventArgs e)
        {
        }

        private void FrmChatSession_FormClosing(object sender, FormClosingEventArgs e)
        {
        }   
    }
}