<?php
    function objectToArray( $object )
    {
        if( !is_object( $object ) && !is_array( $object ) )
        {
            return $object;
        }
        if( is_object( $object ) )
        {
            $object = get_object_vars( $object );
        }
        return array_map( 'objectToArray', $object );
    }     
    
    $client = new SoapClient('https://www.myimservices.com/imsoapv3/?wsdl');
       
    $ret = objectToArray($client->GetVersion(array()));
           
    echo "<br><b>IM Services Version: </b><br>" . $ret["GetVersionResult"] ."<br><br>";       
    
    echo "<b>IM Services Function List: </b><br>";
   
    $ret = objectToArray($client->__getFunctions());
    
    //var_dump($client->__getFunctions());      
    
    echo implode("<br>", $ret);   

    /*$response = $client->Login(array("userId"=>"registered userId","password"=>"registered password")); 
    
    $ret = objectToArray($response->LoginResult);
    
    $sessionStr = "<ns1:session><ns1:SessionId>".$ret["SessionId"]."</ns1:SessionId>".
        "<ns1:UserId>".$ret["UserId"]."</ns1:UserId>".
        "<ns1:LoginTime>".$ret["LoginTime"]."</ns1:LoginTime>".
        "<ns1:ClientIP>".$ret["ClientIP"]."</ns1:ClientIP></ns1:session>";
        
    $soapvar = new SoapVar($sessionStr, XSD_ANYXML);        
   
    $response = $client->LoginIM(array("session"=>$soapvar,"imType"=>"msn","account"=>"msn account","password"=>"msn password"));*/ 
    
?>  
